<?php
/* For licensing terms, see /license.txt */

/**
 * Define the extracourse_ortho class as an extension of Plugin to
 * install/uninstall the plugin.
 *
 * @author Damien Renou
 *
 * @package chamilo.plugin.extracourse_ortho
 */
class collabgrade extends Plugin
{
    /**
     * CardGame constructor.
     */
    protected function __construct()
    {
        parent::__construct(
            '1.1',
            'Batisseurs Numériques / Damien Renou'
        );
    }

    public static function create()
    {
        static $result = null;
        return $result ? $result : $result = new self();
    }

    public function install()
    {
       
        $sql = "CREATE TABLE IF NOT EXISTS plugin_collabgrade (
        id INT NOT NULL AUTO_INCREMENT,
        title VARCHAR(255),
        id_author INT,
        id_pair INT,
        exe_id INT,
        exe_exo_id INT,
        PRIMARY KEY (id));";
        Database::query($sql);
    }

    public function uninstall()
    {
        
    }

}
