<?php

use ChamiloSession as Session;
require_once __DIR__.'/../../main/inc/global.inc.php';

if (api_is_anonymous()) {
    exit;
}

Display::display_header('','');

$url = '';
$form = new FormValidator(
    '','post',$url,null,
    ['enctype' => 'multipart/form-data']
);

$session_id = 0;
if (isset($_GET['session_id'])) {
    $session_id = $_GET['session_id'];
}

$tableMenu = '<div class="col-md-6">';
if (isset($_GET['cidReq'])) {
    $codeCourse = $_GET['cidReq'];
    $tableMenu .= '<p> CODE DU COURS : '.$codeCourse.'</p>';
}
if (isset($_GET['idQuiz'])) {
    $idQuiz = $_GET['idQuiz'];
    $tableMenu .= '<p> ID DU QUIZ : '.$idQuiz.'</p>';
}
if (isset($_GET['idStudent'])) {
    $idStudent = $_GET['idStudent'];
    $tableMenu .= '<p> ID DE L\'ETUDIANT : '.$idStudent.'</p>';
}

// line 42 
// ||isset($_GET['pairctr']) exercise/exercise_show.php
// exercise/exercise_report.php
// line 81
// if ($blockPage&&!isset($_SESSION['collabgrade'])) {
//  api_not_allowed(true);
// }

//http://localhost/chamilo-1.11.16/plugin/collabgrade/funelcollab.php
//?cidReq=DEVOIRSDS&id_session=0&refquiz=48&idQuiz=29&idStudent=7&title=Devoirs%20Num%C3%A9ro%201

if (
    !isset($_SESSION['collabgrade'])
    &&isset($_GET['refquiz'])
    &&isset($_GET['title'])
) {
    
    $titlequiz = $_GET['title'];
    $refquiz = $_GET['refquiz'];

    $_SESSION['collabgrade'] = 'collabgrade';
    
    $bossId = api_get_user_id();

    // CREATE TABLE IF NOT EXISTS plugin_collabgrade (
    // id INT NOT NULL AUTO_INCREMENT,
    // title VARCHAR(255), id_author INT,
    // id_pair INT, exe_id INT,
    // exe_exo_id INT, PRIMARY KEY (id));
    
    $sqlSelect = "SELECT id FROM plugin_collabgrade ";
    $sqlSelect .= "WHERE id_author = $bossId AND id_pair = $idStudent ";
    $sqlSelect .= "AND exe_exo_id = $refquiz ";
    
    $result = Database::query($sqlSelect);

    $row = Database::fetch_array($result);
    
    if ($row) {

    } else {

        if (!UserManager::userIsBossOfStudent($bossId, $idStudent)) {
            $userRelTable = Database::get_main_table(TABLE_MAIN_USER_REL_USER);
            $sqlUpdate = "INSERT IGNORE INTO $userRelTable ";
            $sqlUpdate .= "(user_id,friend_user_id,relation_type) ";
            $sqlUpdate .= "VALUES ($idStudent, $bossId,".USER_RELATION_TYPE_BOSS.")";
            $insertId = Database::query($sqlUpdate);
        }
        
        $collabid = 0;
        $sqlSelect = "SELECT id FROM plugin_collabgrade ";
        $sqlSelect .= "WHERE id_author = $bossId AND id_pair = $idStudent ";
        $sqlSelect .= "AND exe_exo_id = $refquiz ";
        $resultSelect = Database::query($sqlSelect);
        while ($row = Database::fetch_array($resultSelect)) {
            $collabid = $row['id'];
        }
        if ($collabid==0) {
            $sqlInsert = "INSERT IGNORE INTO plugin_collabgrade ";
            $sqlInsert .= "(title,id_author,id_pair,exe_id,exe_exo_id) ";
            $sqlInsert .= "VALUES ('$titlequiz', $bossId, $idStudent, $idQuiz, $refquiz)";
            $insertId = Database::query($sqlInsert);
        }

    }

    $wm = api_get_path(WEB_CODE_PATH);
    $wm .= "exercise/exercise_show.php?id=$idQuiz&cidReq=$codeCourse";
    $wm .= "&id_session=$session_id&student=$idStudent";
    $wm .= "&origin=tracking&action=qualify&pairctr=true";
    
    $tableMenu .= '<p> Link : <a href="'.$wm.'">Lancer la correction</a></p>';

} else {

    $tableMenu .= '<script>';
    $tableMenu .= "var collabUrl = 'listcollab.php?cidReq=$codeCourse&id_session=$session_id'; ";
    $tableMenu .= "location.href = collabUrl;";
    $tableMenu .= '</script>';

}

$tableMenu .= '</div>';

$tableMenu .= '<link rel="stylesheet" ';
$tableMenu .= ' href="'.api_get_path(WEB_PLUGIN_PATH).'collabgrade/';
$tableMenu .= 'resources/css/collabgrade.css" >';

$form->addHtml($tableMenu);
        
$content = $form->returnForm();

echo $content;

Display::display_footer();
