<?php
/* For license terms, see /license.txt */
/**
 *
 * @package chamilo.plugin collabgrade
 *
 * @author Damien Renou <>
 */
/* Plugin config */

require_once(__DIR__.'/collabgrade.php');
$plugin_info = collabgrade::create()->get_info();

$plugin_info['title'] = 'collabgrade';
$plugin_info['comment'] = "Correction par les pairs";
$plugin_info['version'] = '1.1';
$plugin_info['author'] = 'Batisseurs Numériques / Damien Renou';


require_once 'inc/functions.php';

// The plugin configuration.
$form = new FormValidator('form');

$defaults = array();

// api_get_setting('collabgradeoptioncode');
$defaults['collabgradeoptioncode'] = api_get_plugin_setting('collabgrade','collabgradeoptioncode');
$txtoptioncode = $form->addElement( 
    'text',
    'collabgradeoptioncode',
    'option code'
);
$txtoptioncode->setValue($defaults['collabgradeoptioncode']);

$form->addButtonSave(get_lang('Save'));

$plugin_info['settings_form'] = $form;

$plugin_info['templates'] = array('view/template.tpl');


